<?php

// (Shirai075): fs_moodleの設定を表示するメニューをサイト管理に追加 (2008/07/21)

// ------------------------------------------------------------
pagecheck();
// ------------------------------------------------------------

function fsconfig_check_forumSettings()
{
    global $fsCFG;

    print_section_header('フォーラムに関する設定');

    print_subsection_header_fs_switch('FS_ENABLE_RESTRICT_IMAGESIZE');
    echo '　ブログ／フォーラム投稿に添付する画像の（ファイルサイズではなく）解像度のサイズ制限がありません．';
    echo '非常に高解像度なカメラ（近頃の携帯電話は...）で撮影した画像を添付すると画面全体を占めてしまいます．';
    echo 'しかしアップロード制限内であるならば高精細な画像ファイルはアップロードしたい．';
    echo '本機能は以下の'.color_blue('$fsCFG->forumimagemax_x').'と'.color_blue('$fsCFG->forumimagemax_y');
    echo 'の制限を越える画像を縮小表示します．';
    print_fs_switch_condition('FS_ENABLE_RESTRICT_IMAGESIZE');
    print_subsection_footer();

    print_subsection_header('横幅と縦幅の制限値');
    echo '　現在，'.color_blue('FS_ENABLE_RESTRICT_IMAGESIZE').'は';
    if (fs_function_enable('FS_ENABLE_RESTRICT_IMAGESIZE')) {
        echo color_blue('有効').'なので以下の設定値にしたがって縮小表示します．';
    } else {
        echo color_red('無効').'なので以下の設定値は利用されません．';
    }
    print_subsubsection_header_fs_cfg('forumimagemax_x');
    echo '　横方向の幅の制限値（単位：ピクセル）です．';
    echo '最小値は念のために100としています．';
    echo 'ただし，0以下の値が設定された場合は制限を行いません．';
    echo '現在，'.color_blue('$fsCFG->forumimagemax_x').'は';
    if (!isset($fsCFG->forumimagemax_x)) echo color_red('設定されていません').'．';
      else {
        echo color_blue('設定されています').'．設定値は'.color_blue($fsCFG->forumimagemax_x).'です．';
        if ($fsCFG->forumimagemax_x <= 0) echo '設定値は0以下ですので，横方向の大きさは制限しません．';
    }
    print_fs_cfg_condition('forumimagemax_x');
    print_subsubsection_footer();
    print_subsubsection_header_fs_cfg('forumimagemax_y');
    echo '　縦方向の幅の制限値（単位：ピクセル）です．';
    echo '最小値は念のために100としています．';
    echo 'ただし，0以下の値が設定された場合は制限を行いません．';
    echo '現在，'.color_blue('$fsCFG->forumimagemax_y').'は';
    if (!isset($fsCFG->forumimagemax_y)) echo color_red('設定されていません').'．';
      else {
        echo color_blue('設定されています').'．設定値は'.color_blue($fsCFG->forumimagemax_y).'です．';
        if ($fsCFG->forumimagemax_y <= 0) echo '設定値は0以下ですので，縦方向の大きさは制限しません．';
    }
    print_fs_cfg_condition('forumimagemax_y');
    print_subsubsection_footer();
    print_subsection_footer();

    print_subsection_header_fs_switch('FS_DISABLE_FORUM_TRIALREADING');
    echo '　外出先などでフォーラムを読む際に，未読マークを残したままフォーラムを閲覧することができます．';
    echo '画面下に表示されるボタンでいつでもチョイ読み機能はOn/Offできます．';
    echo 'チョイ読み機能をOnにすると，それ以降，フォーラム投稿を閲覧しても未読が既読に勝手に変わりません．';
    echo 'さらに，手動で既読を未読に，未読を既読に変えることができるようになります．';
    print_fs_switch_condition('FS_DISABLE_FORUM_TRIALREADING');
    print_subsection_footer();

    print_subsection_header_fs_switch('FS_DISABLE_FORUMSEARCHBYPICTURE');
    echo '　オリジナルのMoodleではフォーラム投稿の閲覧時に投稿者の顔写真をクリックすると投稿者のユーザプロファイル画面にジャンプします．';
    echo 'この機能を有効にすると，顔写真のクリックで，このユーザがそのフォーラムに投稿した投稿の一覧を表示するように機能が切り替わります．';
    print_fs_switch_condition('FS_DISABLE_FORUMSEARCHBYPICTURE');
    print_subsection_footer();

    print_subsection_header_fs_switch('FS_DISABLE_FORUMDUMP');
    echo '　この機能はスレッドの分割や移動の権限を持つユーザのみが利用可能です．';
    echo '特定のディスカッショントピックスの一連の投稿を画面イメージそのままの独立したHTMLファイルとして出力する機能です．';
    echo 'Moodleの外の静的なWebページとして公開するといったことが可能になります．';
    echo '添付ファイルも一緒に出力するのでzip形式でダウンロードします．';
    print_fs_switch_condition('FS_DISABLE_FORUMDUMP');
    print_subsection_footer();

    print_subsection_header_fs_switch('FS_DISABLE_FORUM_EXSEARCH');
    echo '　Moodleのフォーラムから希望する投稿を迅速に探し出すのに役立ついくつかの機能を追加します．';
    newline();
    echo '　現在，搭載されているのは以下の二つの機能です．';
    newline();

    print_subsubsection_header('フォーラム投稿の固有IDを利用する機能');
    echo '　フォーラムへの投稿一つずつに割り振られる固有のリソースIDを元にして，フォーラムの機能を拡張する機能です．';
    newline();
    echo '　具体的には，(1)投稿のタイトルの横にIDを表示する機能に加え，(2)その表示されるIDにこのフォーラム投稿を指し示す';
    echo 'ハイパーリンクを埋め込む機能，(3)フォーラムの検索にこのIDを用いた検索機能，(4) blogにIDとハイパーリンクを埋め込む機能を追加する．';
    print_subsubsection_footer();

    print_subsubsection_header('評価を利用してサーチ結果をフィルタリングする機能');
    echo '　フォーラム投稿に評価を入力する機能があります（設定で評価を有効にしているフォーラムのみ）．';
    echo 'フォーラム投稿には重要な情報とそれほど重要ではない情報が混在しているため，';
    echo '価値のある情報を探し出すのは非常に困難です．';
    echo 'その投稿に対して付けられた評価のうち少なくとも一つが';
    echo '高度な検索で指定した評点以上である投稿を出力します．';
    print_subsubsection_footer();

    print_fs_switch_condition('FS_DISABLE_FORUM_EXSEARCH');
    print_subsection_footer();

    print_subsection_header_fs_switch('FS_DISABLE_DISPLAYUNMAILEDFORUMLIST');
    echo '　Moodleにはフォーラム投稿の未読を管理する機能はあるが，複数のコースに属する教師が学生の新規投稿を簡単にチェックするのに適した機能はありません．';
    echo 'RSSは，学生が入室できないコースではセキュリティ上の都合から利用できません．';
    echo 'フォーラム投稿をメールで受け取る機能はありますが，多くのコースに属する教師は膨大なメールを受け取ることになるため，';
    echo '要約メールを一日に一度，受け取る設定にしているでしょう．';
    newline();
    echo '　本機能を有効にすると，要約メールを一日に一度受け取る設定のユーザは，';
    echo 'いつでも好きなときに現時点での要約メール（として送信される予定）の内容を';
    echo 'ユーザプロファイル画面で閲覧することができます．';
    echo 'HTML形式およびタイトルのみの表示が選択できます．';
    print_fs_switch_condition('FS_DISABLE_DISPLAYUNMAILEDFORUMLIST');
    print_subsection_footer();

    print_section_footer();
}

fsconfig_check_forumSettings();

?>